<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:f="jakarta.faces.core"
	xmlns:h="jakarta.faces.html" xmlns:ui="jakarta.faces.facelets"
	xmlns:p="http://primefaces.org/ui">
<head>
<title></title>
</head>
<body>
	<f:view>
		<f:metadata>
			<f:viewParam name="id" value="#{userShowLocalProjectBean.id}" />
			<f:event type="jakarta.faces.event.PreRenderViewEvent"
				listener="#{userShowLocalProjectBean.preRenderView}" />
		</f:metadata>

		<ui:composition template="/template/default.xhtml">
			<ui:param name="title" value="#{messages.title}" />

			<ui:define name="content">
				<h:form id="form" styleClass="full">

					<h2>
						<h:outputText
							value="#{messages['project.local_project']}: #{userShowLocalProjectBean.entity.name}" />
					</h2>

					<p:messages showDetail="true" />

					<h:panelGrid style="margin-top:1em;" id="baseData" columns="2"
						layout="flex"
						columnClasses="col-12 md:col-3 xl:col-3, col-12 md:col-9 xl:col-9">

						<h:outputText value="#{messages.id}:" />
						<h:outputText value="#{userShowLocalProjectBean.entity.id}" />

						<h:outputText value="#{messages.name}:" />
						<h:outputText value="#{userShowLocalProjectBean.entity.name}" />

						<h:outputText value="#{messages.group_name}:" />
						<h:outputText value="#{userShowLocalProjectBean.entity.groupName}" />

						<h:outputText
							value="#{messages['project.local_project.parent_vo']}:"
							rendered="#{userShowLocalProjectBean.entity.parentProject != null}" />
						<h:panelGroup layout="block" styleClass="text"
							rendered="#{userShowLocalProjectBean.entity.parentProject != null}">
							<h:outputLink value="show-local-project.xhtml">
								<h:outputText
									value="#{userShowLocalProjectBean.entity.parentProject.name}" />
								<f:param name="id"
									value="#{userShowLocalProjectBean.entity.parentProject.id}" />
							</h:outputLink>
						</h:panelGroup>

						<h:outputText
							value="#{messages['project.local_project.children']}:"
							rendered="#{userShowLocalProjectBean.entity.childProjects != null and userShowLocalProjectBean.entity.childProjects.size() > 0}" />
						<h:panelGroup layout="block" styleClass="text"
							rendered="#{userShowLocalProjectBean.entity.childProjects != null and userShowLocalProjectBean.entity.childProjects.size() > 0}">
							<ul>
								<ui:repeat
									value="#{userShowLocalProjectBean.entity.childProjects}"
									var="s">
									<li><h:outputLink value="show-local-project.xhtml">
											<h:outputText value="#{s.name}" />
											<f:param name="id" value="#{s.id}" />
										</h:outputLink></li>
								</ui:repeat>
							</ul>
						</h:panelGroup>

						<h:outputText style="font-weight:bold;"
							value="#{messages.available_services}:" />
						<ui:repeat
							value="#{userShowLocalProjectBean.entity.projectServices}"
							var="s">
							<div style="font-weight: bold; margin-top: 0.4em;">
								<h:outputText value="#{s.service.name} (#{s.status})"
									style="font-weight:bold;" />
							</div>
						</ui:repeat>
					</h:panelGrid>

					<h:panelGrid id="baseData2" columns="2" layout="flex"
						columnClasses="col-12 md:col-3 xl:col-3, col-12 md:col-9 xl:col-9"
						rowClasses="white-row">
						<h:outputText value="" />
						<h:outputLink class="button"
							value="connect-local-project-to-service.xhtml">
							<h:outputText
								value="#{messages['project.show_local_project.connect_to_service_link']}" />
							<f:param name="id" value="#{userShowLocalProjectBean.entity.id}" />
						</h:outputLink>
					</h:panelGrid>

					<h:panelGrid columns="2" layout="flex"
						columnClasses="col-12 md:col-3 xl:col-3, col-12 md:col-9 xl:col-9"
						rendered="#{not empty userShowLocalProjectBean.entity.approved or userShowLocalProjectBean.entity.subProjectsAllowed}">

						<h:outputText
							value="#{messages['project.show_local_project.manage_oidc_credentials_text']}"
							rendered="#{userShowLocalProjectBean.entity.approved}" />
						<h:outputLink class="button" value="oidc/list-clients.xhtml"
							rendered="#{userShowLocalProjectBean.entity.approved}">
							<h:outputText
								value="#{messages['project.show_local_project.manage_oidc_credentials']}" />
							<f:param name="id" value="#{userShowLocalProjectBean.entity.id}" />
						</h:outputLink>

						<h:outputText
							value="#{messages['project.show_local_project.create_sub_project_text']}"
							rendered="#{userShowLocalProjectBean.entity.subProjectsAllowed}" />
						<h:outputLink class="button" value="create-new-subproject.xhtml"
							rendered="#{userShowLocalProjectBean.entity.subProjectsAllowed}">
							<h:outputText
								value="#{messages['project.show_local_project.create_sub_project']}" />
							<f:param name="id" value="#{userShowLocalProjectBean.entity.id}" />
						</h:outputLink>
					</h:panelGrid>

					<h5 style="margin-top: 1em;">
						<h:outputText value="#{messages['project.members']}" />
					</h5>
					<p:dataTable id="dataTableMember" var="member"
						value="#{userShowLocalProjectBean.memberList}"
						style="width:auto; font-size: 1.2rem;">
						<p:column sortBy="#{member.identity.prefUser.surName}"
							filterBy="#{member.identity.prefUser.surName}"
							filterMatchMode="contains">
							<f:facet name="header">
								<h:outputText value="#{messages.sur_name}" />
							</f:facet>
							<h:outputText value="#{member.identity.prefUser.surName}" />
						</p:column>
						<p:column sortBy="#{member.identity.prefUser.givenName}"
							filterBy="#{member.identity.prefUser.givenName}"
							filterMatchMode="contains">
							<f:facet name="header">
								<h:outputText value="#{messages.given_name}" />
							</f:facet>
							<h:outputText value="#{member.identity.prefUser.givenName}" />
						</p:column>
						<p:column sortBy="#{member.identity.primaryEmail.emailAddress}"
							filterBy="#{member.identity.primaryEmail.emailAddress}"
							filterMatchMode="contains">
							<f:facet name="header">
								<h:outputText value="#{messages.email}" />
							</f:facet>
							<h:outputText
								value="#{member.identity.primaryEmail.emailAddress}" />
						</p:column>
						<p:column sortBy="#{member.identity.prefUser.eppn}"
							filterBy="#{member.identity.prefUser.eppn}"
							filterMatchMode="contains">
							<f:facet name="header">
								<h:outputText value="#{messages.account}" />
							</f:facet>
							<h:outputText value="#{member.identity.prefUser.eppn}" />
						</p:column>
						<p:column>
							<f:facet name="header">
								<h:outputText value="#{messages.type}" />
							</f:facet>
							<h:outputText value="#{member.membershipType}" />
						</p:column>
						<p:column width="12%">
							<f:facet name="header">
								<h:outputText value="#{messages.action}" />
							</f:facet>
							<p:tooltip for="@next" value="#{messages.delete}" position="top" />
							<p:commandButton
								rendered="#{member.membershipType == 'MEMBER' or member.membershipType == 'NOTMEMBER'}"
								class="button icon" immediate="true" icon="fa fa-trash"
								style="font-size: 0.6em;" onclick="PF('confirmDelete').show()">
							</p:commandButton>

							<h:outputText value="&nbsp;" />

							<p:commandLink title="#{messages['tooltip.approve_membership']}"
								rendered="#{member.membershipType == 'APPLICANT'}">
								<p:commandButton icon="fa fa-check-circle"
									style="font-size: 0.6em;"
									onclick="PF('confirmApproval').show()" />

								<p:tooltip value="#{messages['tooltip.approve_membership']}"
									showEffect="clip" hideEffect="fold" position="bottom" />
							</p:commandLink>


							<h:outputText value="&nbsp;" />

							<p:commandLink title="#{messages['tooltip.decline_membership']}"
								rendered="#{member.membershipType == 'APPLICANT'}">
								<p:commandButton icon="fa fa-minus-circle"
									style="font-size: 0.6em;" onclick="PF('confirmDecline').show()" />

								<p:tooltip value="#{messages['tooltip.decline_membership']}"
									showEffect="clip" hideEffect="fold" position="bottom" />
							</p:commandLink>

							<p:confirmDialog message="#{messages['confirm_approval']}"
								widgetVar="confirmApproval" class="form">
								<h:outputText value="#{messages.info}:" />
								<br />
								<h:outputText
									value="#{userShowLocalProjectBean.getReason(member)}" />
								<br />
								<br />
								<h:outputText value="#{messages['confirm_approve_reason']}:" />
								<h:inputTextarea row="10" col="10"
									value="#{userShowLocalProjectBean.applyReason}" />
								<p:commandButton value="#{messages['yes']}"
									actionListener="#{userShowLocalProjectBean.approveAndBecomeAMember(member)}"
									update="dataTableMember"
									oncomplete="PF('confirmApproval').hide()" />
								<p:commandButton value="#{messages['no']}"
									onclick="PF('confirmApproval').hide();" type="button" />
							</p:confirmDialog>


							<p:confirmDialog message="#{messages['confirm_denied']}"
								widgetVar="confirmDecline" class="form">
								<h:outputText value="#{messages.info}:" />
								<br />
								<h:outputText
									value="#{userShowLocalProjectBean.getReason(member)}" />
								<br />
								<br />
								<h:outputText value="#{messages['confirm_rejection_reason']}:" />
								<h:inputTextarea row="10" col="10"
									value="#{userShowLocalProjectBean.declineReason}" />
								<p:commandButton value="#{messages['yes']}"
									actionListener="#{userShowLocalProjectBean.declineMembershipRequest(member)}"
									update="form"
									oncomplete="PF('confirmDecline').hide()" />
								<p:commandButton value="#{messages['no']}"
									onclick="PF('confirmDecline').hide();" type="button" />
							</p:confirmDialog>


							<p:confirmDialog
								message="#{messages['project.show_local_project.delete_member_confirm']}"
								widgetVar="confirmDelete" class="form">
								<p:commandButton value="#{messages['yes']}"
									actionListener="#{userShowLocalProjectBean.deleteMember(member)}"
									update="dataTableMember"
									oncomplete="PF('confirmDelete').hide()" />
								<p:commandButton value="#{messages['no']}"
									onclick="PF('confirmDelete').hide();" type="button" />
							</p:confirmDialog>

						</p:column>
					</p:dataTable>

					<h:outputLink value="invite-to-project.xhtml" class="button"
						style="margin-top:0.5em;">
						<h:outputText
							value="#{messages['project.show_local_project.invite_to_project_link']}" />
						<f:param name="id" value="#{userShowLocalProjectBean.entity.id}" />
					</h:outputLink>

					<h5 style="margin-top: 1em;">
						<h:outputText value="#{messages['project.admins']}" />
					</h5>
					<p:dataTable id="dataTableAdmin" var="a"
						value="#{userShowLocalProjectBean.adminList}"
						style="width:auto; font-size: 1.2rem;">
						<p:column sortBy="#{a.identity.prefUser.surName}"
							filterBy="#{a.identity.prefUser.surName}"
							filterMatchMode="contains">
							<f:facet name="header">
								<h:outputText value="#{messages.sur_name}" />
							</f:facet>
							<h:outputText value="#{a.identity.prefUser.surName}" />
						</p:column>
						<p:column sortBy="#{a.identity.prefUser.givenName}"
							filterBy="#{a.identity.prefUser.givenName}"
							filterMatchMode="contains">
							<f:facet name="header">
								<h:outputText value="#{messages.given_name}" />
							</f:facet>
							<h:outputText value="#{a.identity.prefUser.givenName}" />
						</p:column>
						<p:column sortBy="#{a.identity.primaryEmail.emailAddress}"
							filterBy="#{a.identity.primaryEmail.emailAddress}"
							filterMatchMode="contains">
							<f:facet name="header">
								<h:outputText value="#{messages.email}" />
							</f:facet>
							<h:outputText value="#{a.identity.primaryEmail.emailAddress}" />
						</p:column>
						<p:column sortBy="#{a.identity.prefUser.eppn}"
							filterBy="#{a.identity.prefUser.eppn}" filterMatchMode="contains">
							<f:facet name="header">
								<h:outputText value="#{messages.account}" />
							</f:facet>
							<h:outputText value="#{a.identity.prefUser.eppn}" />
						</p:column>
						<p:column>
							<f:facet name="header">
								<h:outputText value="#{messages.type}" />
							</f:facet>
							<h:outputText value="#{a.type}" />
						</p:column>
					</p:dataTable>
					<div>
						<h:outputLink value="edit-local-project-admins.xhtml"
							class="button" style="margin-top:0.5em;">
							<h:outputText
								value="#{messages['project.show_local_project.edit_project_admins_link']}" />
							<f:param name="id" value="#{userShowLocalProjectBean.entity.id}" />
						</h:outputLink>
					</div>

					<h5 style="margin-top: 1em;">
						<h:outputText value="#{messages['more_properties']}" />
					</h5>
					<h:panelGrid id="descData" columns="2">
						<h:outputText value="#{messages['project.short_description']}:" />
						<h:outputText
							value="#{userShowLocalProjectBean.entity.shortDescription}" />

						<h:outputText value="#{messages['project.long_description']}:" />
						<h:outputText
							value="#{userShowLocalProjectBean.entity.description}" />
					</h:panelGrid>


					<h:outputLink value="edit-project-description.xhtml" class="button"
						style="margin-top:0.5em;">
						<h:outputText value="#{messages['project.edit']}" />
						<f:param name="projectId"
							value="#{userShowLocalProjectBean.entity.id}" />
					</h:outputLink>

					<h:outputLink value="delete-local-project.xhtml"
						class="button delete-btn" style="margin-top:0.5em;">

						<h:outputText
							value="#{messages['project.show_local_project.delete_project_link']}" />
						<f:param name="id" value="#{userShowLocalProjectBean.entity.id}" />
					</h:outputLink>

					<div class="text full" style="margin-top: 0.4em;">
						<a href="index.xhtml"><h:outputText value="#{messages.back}" /></a>
					</div>

				</h:form>

			</ui:define>
		</ui:composition>
	</f:view>
</body>
</html>
